# AssociatedLegendrePolynomials.jl Documentation

A library for calculating the Associated Legendre polynomials.
Design goals of this package include:

  * Native Julia implementation of core routines.

  * Numerical stability and efficiency.

  * Parallelism and efficient memory sharing.

## User Manual and Documentation
```@contents
Pages = [
    "man/intro.md",
    "man/usage.md",
    "man/devdocs.md",
    "man/references.md"
]
Depth = 1
```

## Library API Reference
```@contents
Pages = [
    "lib/public.md",
    "lib/private.md"
]
Depth = 1
```

### [Index](@id main-index)
```@index
Pages = ["lib/public.md"]
```
