# References

### [Legendre functions](@id bib-legendre)

* T. Limpanuparb and J. Milthorpe. “Associated Legendre Polynomials and Spherical Harmonics
  Computation for Chemistry Applications”
  In: *Proceedings of the 40th Congress on Science and Technology of Thailand* (Dec 2014)
  arXiv: [1410.1748](https://arxiv.org/abs/1410.1748v1)

* “Legendre and Related Functions” [(Chapter 14)](https://dlmf.nist.gov/14)
  In: *NIST Digital Library of Mathematical Functions*

* “Legendre polynomials” on
  [*Wikipedia*](https://en.wikipedia.org/wiki/Legendre_polynomials)
  and
  [*Wolfram Math World*](http://mathworld.wolfram.com/LegendrePolynomial.html)

* “Associated Legendre polynomials” on
  [*Wikipedia*](https://en.wikipedia.org/wiki/Associated_Legendre_polynomials)
  and
  [*Wolfrm Math World*](http://mathworld.wolfram.com/AssociatedLegendrePolynomial.html)

### Blog series

* [Introduction to Associated Legendre Polynomials (Legendre.jl Series, Part I)](https://justinwillmert.com/articles/2020/introduction-to-associated-legendre-polynomials/)
* [Calculating Legendre Polynomials (Legendre.jl Series, Part II)](https://justinwillmert.com/articles/2020/calculating-legendre-polynomials/)
* [Pre-normalizing Legendre Polynomials (Legendre.jl Series, Part III)](https://justinwillmert.com/articles/2020/pre-normalizing-legendre-polynomials/)
* [Maintaining numerical accuracy in the Legendre recurrences (Legendre.jl Series, Part IV)](https://justinwillmert.com/articles/2020/maintaining-numerical-accuracy-in-the-legendre-recurrences/)
* [Introducing Legendre.jl (Legendre.jl Series, Part V)](https://justinwillmert.com/articles/2020/introducing-legendre.jl/)
* [Numerical Accuracy of the Spherical Harmonic Recurrence Coefficient (Legendre.jl Series Addendum)](https://justinwillmert.com/posts/2020/pre-normalizing-legendre-polynomials-addendum/)
